Bug 602899 - Add iscsiadm support to create discovery record without iscsid.conf
Summary: Add iscsiadm support to create discovery record without iscsid.conf
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iscsi-initiator-utils
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Andy Grover
QA Contact: Storage QE
URL:
Whiteboard:
Keywords:
Depends On: 592736 604649
Blocks: 591641
TreeView+ depends on / blocked
 
Reported: 2010-06-11 00:09 UTC by Mike Christie
Modified: 2012-06-26 16:27 UTC (History)
11 users (show)

(edit)
Clone Of: 592736
(edit)
Last Closed: 2010-11-10 20:42:11 UTC


Attachments (Terms of Use)

Comment 1 Mike Christie 2010-06-11 00:12:22 UTC
iscsiadm in RHEL6 supports the -o update option like what was being requested in the original bugzilla. However, we later determined we wanted that support plus the ability to not have to modify the iscsid.conf file with the chap settings to do the initial discovery. This is bz is for that second part to be added to RHEL 6.0 so it matches RHEL 5.

Comment 4 RHEL Product and Program Management 2010-06-11 00:23:21 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 8 Mike Christie 2010-07-11 09:38:55 UTC
This is fixed in iscsi-initiator-utils-6.2.0.872-6. You can download it here:
http://people.redhat.com/mchristi/iscsi/rhel6.0/iscsi-initiator-utils/

One change since the last drop was the discovery2 mode was renamed to discoverydb mode. This drop should fix the return value bug also.

Comment 11 Barry Donahue 2010-08-17 14:36:52 UTC
Verified test case from mchristi on RHEL6.0-20100811.2

Comment 12 releng-rhel@redhat.com 2010-11-10 20:42:11 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.